package bbejeck.example
{
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	import mx.containers.Panel;
	import mx.controls.Alert;
	import mx.controls.Button;
	import mx.controls.TextInput;

	public class SearchPanel extends Panel{
		
		private var _searchResultGrid:SearchResultGrid;
		private var _searchButton:Button;
		private var _clearButton:Button;
		private var _searchTerm:TextInput;
		private var _controller:Controller;
		
		public function SearchPanel():void{
			super();
		}
		
        override protected function childrenCreated():void{
        	_searchButton.addEventListener(MouseEvent.CLICK,doSearch);
			_clearButton.addEventListener(MouseEvent.CLICK,clearText);
        }			
		
		protected function doSearch(evt:Event):void{
			if(_searchTerm.text==""){
				Alert.show("Please Enter Search String","Search Error",Alert.OK);
				return;
			}else{
				_controller.search({text:_searchTerm.text},_searchResultGrid.displaySearchResults);
		   }
		}
		
		protected function clearText(evt:Event):void{
			_searchTerm.text="";
		}
		
		public function set searchButton(sb:Button):void{
			_searchButton = sb;
		}
		
		public function get searchButton():Button{
			return _searchButton;
		}
		
		public function set clearButton(cb:Button):void{
			_clearButton = cb;
		}
		
		public function get clearButton():Button{
			return _clearButton;
		}
		
		public function set searchTerm(st:TextInput):void{
			_searchTerm = st;
		}
		
		public function get searchTerm():TextInput{
			return _searchTerm;
		}
		
		public function set searchResultGrid(searchResultGrid:SearchResultGrid):void{
			this._searchResultGrid = searchResultGrid;
		}
		
		public function get searchResultGrid():SearchResultGrid{
			return this._searchResultGrid;
		}
		
		public function set controller(controller:Controller):void{
			this._controller = controller;
		}
		
		public function get controller():Controller{
			return this._controller;
		}
	}
}