package bbejeck.example{
	
	
	import mx.collections.XMLListCollection;
	import mx.controls.DataGrid;
	import mx.controls.dataGridClasses.DataGridColumn;

	public class SearchResultGrid extends DataGrid{
		 private var _fields:Array; 
		 private var _labels:Array;
		 private var _cols:Array; 
		 private var _resultElementName:String;
		 
		 public function SearchResultGrid():void{
			   super();
		 }
		
		override protected function commitProperties():void{
			super.commitProperties();
			_cols = new Array(_fields.length);
			for(var i:int=0;i<_fields.length;i++){
		       var column:DataGridColumn = new DataGridColumn();
		           column.dataField = _fields[i];
		           column.headerText = _labels[i];
		           _cols[i] = column;	
		    }
		    this.columns = _cols;
		}
		
		public function displaySearchResults(search:XML):void{
			this.dataProvider = new XMLListCollection(search[_resultElementName]);
		}
		
		public function get fields():Array{
			return _fields;
		}
		
		public function set fields(f:Array):void{
			_fields = f;
		}
		
		public function get labels():Array{
			return _labels;
		}
		
		public function set labels(l:Array):void{
			_labels = l;
		}
		
		public function set resultElementName(s:String):void{
			_resultElementName = s;
		}
		
	}
}