class Film {
   	static hasMany = [actors:Actor, categories:Category]	

   	static mapping = {
	      version false
	      columns {
		      id column:'film_id'
		      rate column:'rental_rate'
	      }	
	   actors joinTable:[name:'film_actor', key:'film_id', column:'actor_id']
	   categories joinTable:[name:'film_category', key:'film_id', column:'category_id']
     }

   String title
   String description
   int releaseYear
   Language language
   short rentalDuration
   double rate
   short length
   double replacementCost
}
