package bbejeck.example
{
	import mx.controls.Alert;
	import mx.rpc.AsyncToken;
	import mx.rpc.events.FaultEvent;
	import mx.rpc.events.ResultEvent;
	import mx.rpc.http.HTTPService;
	
	public class HttpController implements Controller{
		
		private var _searchService:HTTPService;
		
		public function HttpController(){
			_searchService = new HTTPService();
		}
		
		public function search(params:Object,callback:Function=null):void{
				_searchService.method="GET";
				_searchService.url = URLConstants.SEARCH;
				_searchService.resultFormat=HTTPService.RESULT_FORMAT_E4X;
				_searchService.addEventListener(ResultEvent.RESULT,onSearchComplete);
				_searchService.addEventListener(FaultEvent.FAULT,onError);
				var token:AsyncToken = _searchService.send(params);
				token.callback=callback;
		}
		
		protected function onError(evt:FaultEvent):void{
			Alert.show("Error "+evt.message,"Error",Alert.OK);
		}
		
		protected function onSearchComplete(evt:ResultEvent):void{
			 if(evt.token.callback){
			    evt.token.callback(XML(evt.result));
			  }
			 _searchService.disconnect();
		}
		

	}
}